﻿using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.TestTemplates;

namespace AutomationExample.ScreenObjects
{
    public class HtmlMainScreen : HtmlElementContainer
    {
        private const string Buttonid = "button1";
        private const string Textfieldid = "field1";
        private const string Divid = "target1";

        public HtmlMainScreen(Find find) :base(find)
        {
         
        }

        public HtmlInputText TextField1
        {
            get
            {
                return Get<HtmlInputText>(htmlFindExpression("id=" + Textfieldid), true, 1500);
            }
        }

        private HtmlFindExpression htmlFindExpression(string p)
        {
            return new HtmlFindExpression(p);
            
        }

        public HtmlDiv Div1
        {
            get
            {
                
                return Get<HtmlDiv>(htmlFindExpression("id=" + Divid), true, 1500);
            }
        }

        public HtmlButton OkButton
        {
            get
            {                
                return Get<HtmlButton>(htmlFindExpression("id=" + Buttonid), true, 1500);
            }
        }       
              
    }
}
